<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2008 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования меток.
 * 
 * Файл: /admin/tag/action/add_edit_tag.php
 * 
 * @author Hostmake LLC
 * @version 5.2
 */
// Получаем переданные поля
$param = array();

if (isset($_REQUEST['tag_id']))
{
	$param['tag_id'] = to_int($_REQUEST['tag_id']);
}

if (isset($_REQUEST['users_id']) && $_REQUEST['users_id'] !== false)
{
	$param['users_id'] = to_int($_REQUEST['users_id']);
}
else
{
	$param['users_id'] = false;
}

$param['tag_name'] = to_str($_REQUEST['tag_name']);

$Tag = & singleton('Tag');

// Если добавление прошло успешно, обязательно добавим на форму скрытое поле с ID добавленной записи
if ($tag_id = $Tag->InsertTag($param))
{
	?>
	<script>
	var ElementInput = document.createElement("input");
	ElementInput.setAttribute("type", "hidden");
	ElementInput.setAttribute("name", "tag_id");
	ElementInput.setAttribute("value", "<?php echo $tag_id?>");

	document.getElementById('EditAddTag').appendChild(ElementInput);
	</script>
	<?php 

	// Редактирование сущности
	if (isset($_REQUEST['tag_id']))
	{
		show_message($GLOBALS['MSG_tag']['edit_tag_success']);
	}
	// Добавление сущности
	else
	{
		show_message($GLOBALS['MSG_tag']['add_tag_success']);
	}
}
// Ошибка добавления/редактирования
else
{
	if (isset($_REQUEST['tag_id']))
	{
		show_error_message($GLOBALS['MSG_tag']['edit_tag_error']);
	}
	else
	{
		show_error_message($GLOBALS['MSG_tag']['add_tag_error']);
	}
}
?>